## refdb 0.1.0

=== DESCRIPTION ===
Package: refdb
Type: Package
Title: A DNA Reference Library Manager
Version: 0.1.0
Authors@R: 
    c(person(given = "Francois",
             family = "Keck",
             role = c("aut", "cre", "cph"),
             email = "francois.keck@gmail.com",
             comment = c(ORCID = "0000-0002-3323-4167"))
    )
Maintainer: Francois Keck <francois.keck@gmail.com>
Description: Reference database manager offering a set of functions
    to import, organize, clean, filter, audit and export reference genetic
    data. Provide functions to download sequence data from
    Bold Systems (<https://www.boldsystems.org/>) and
    NCBI GenBank <https://www.ncbi.nlm.nih.gov/genbank/>.
    Designed as an environment for semi-automatic and assisted
    construction of reference databases and to improve standardization
    and repeatability in barcoding and metabarcoding studies.
License: GPL-3
URL: https://fkeck.github.io/refdb/
BugReports: https://github.com/fkeck/refdb/issues
Encoding: UTF-8
Depends: R (>= 3.1.0)
Imports: tibble, readr, dplyr, stringr, tidyr, rentrez, bold, taxize,
        xml2, bioseq, ape, igraph, ggplot2, ggraph, yaml, rlang,
        rmarkdown, leaflet
RoxygenNote: 7.2.1
Suggests: testthat (>= 3.0.0), covr, DT, knitr, forcats
Config/testthat/edition: 3
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-09-15 11:16:33 UTC; ecoadmin
Author: Francois Keck [aut, cre, cph] (<https://orcid.org/0000-0002-3323-4167>)
Repository: CRAN
Date/Publication: 2022-09-19 08:26:12 UTC

## refdb 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: refdb
 Type: Package
 Title: A DNA Reference Library Manager
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     c(person(given = "Francois",
              family = "Keck",
@@ -31,7 +31,7 @@
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2022-09-15 11:16:33 UTC; ecoadmin
+Packaged: 2022-09-22 15:51:27 UTC; ecoadmin
 Author: Francois Keck [aut, cre, cph] (<https://orcid.org/0000-0002-3323-4167>)
 Repository: CRAN
-Date/Publication: 2022-09-19 08:26:12 UTC
+Date/Publication: 2022-09-22 17:00:05 UTC

## refdb 0.1.2

=== DESCRIPTION ===
Package: refdb
Type: Package
Title: A DNA Reference Library Manager
Version: 0.1.2
Authors@R: 
    c(person(given = "Francois",
             family = "Keck",
             role = c("aut", "cre", "cph"),
             email = "francois.keck@gmail.com",
             comment = c(ORCID = "0000-0002-3323-4167"))
    )
Maintainer: Francois Keck <francois.keck@gmail.com>
Description: Reference database manager offering a set of functions
    to import, organize, clean, filter, audit and export reference genetic
    data. Provide functions to download sequence data from
    NCBI GenBank <https://www.ncbi.nlm.nih.gov/genbank/>.
    Designed as an environment for semi-automatic and assisted
    construction of reference databases and to improve standardization
    and repeatability in barcoding and metabarcoding studies.
License: GPL-3
URL: https://fkeck.github.io/refdb/
BugReports: https://github.com/fkeck/refdb/issues
Encoding: UTF-8
Depends: R (>= 3.1.0)
Imports: tibble, readr, dplyr, stringr, tidyr, rentrez, taxize, xml2,
        bioseq, ape, igraph, ggplot2, ggraph, yaml, rlang, rmarkdown,
        leaflet
RoxygenNote: 7.3.2
Suggests: testthat (>= 3.0.0), covr, DT, knitr, forcats
Config/testthat/edition: 3
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-12-16 15:20:49 UTC; francois
Author: Francois Keck [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0002-3323-4167>)
Repository: CRAN
Date/Publication: 2025-12-19 20:20:02 UTC

## refdb 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: refdb
 Type: Package
 Title: A DNA Reference Library Manager
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: 
     c(person(given = "Francois",
              family = "Keck",
@@ -30,8 +30,8 @@
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2025-12-16 15:20:49 UTC; francois
+Packaged: 2026-02-27 16:19:21 UTC; francois
 Author: Francois Keck [aut, cre, cph] (ORCID:
     <https://orcid.org/0000-0002-3323-4167>)
 Repository: CRAN
-Date/Publication: 2025-12-19 20:20:02 UTC
+Date/Publication: 2026-02-27 16:50:02 UTC

## refdb 0.9.9

=== debian/changelog ===
refdb (0.9.9-3) unstable; urgency=low

  * Fix fop calling convention.
    - debian/patches/fixfopjava.patch
  * Replace fop.extensions into fop1.extensions. Closes: #696875
  * Add missing Depends to php5-xsl
  * Suggests: yaz client to retrieve external database
  * fix buffer overflow in process_ris_set(). Closes: #695846
  * Remove extra -e from echo (dash). Closes: #696333
  * Bump Std-Vers to 3.9.4, no changes needed
  * Use /run instead of /var/run. Closes: #696876
  * Add dtdparse to B-D-I. Closes: #696010
  * Adding fonts to work-around ftbfs. Closes: #697934

 -- Mathieu Malaterre <malat@debian.org>  Thu, 10 Jan 2013 09:32:05 +0100

refdb (0.9.9-2) unstable; urgency=low

  * Add missing Depends to libdbd-sqlite3 in refdb-clients
  * Add refdb-www package. Closes: #695834
  * Rename -sqlite3 to -server, and suggest mysql, sqlite3, pgsql driver

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Dec 2012 15:42:11 +0100

refdb (0.9.9-1) experimental; urgency=low

  * Initial Debian Upload (Closes: #135746)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Sep 2012 10:00:14 +0200

=== debian/control ===
Source: refdb
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9), libdbi-dev (>= 0.8.1), libreadline-dev, libexpat-dev, libbtparse-dev, autotools-dev,
 docbook-xsl, docbook-xsl-ns, xsltproc, libxml2-utils, automake1.9,
 libmarc-record-perl, libmarc-charset-perl, librefdb-sru-perl, libterm-clui-perl
#, dh-autoreconf
Build-Depends-Indep: libbatik-java, libtrang-java, sgrep, tidy, openjade, libsgml-dtdparse-perl, fop, ttf-dejavu
Standards-Version: 3.9.4
Section: text
Homepage: http://refdb.sf.net
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-xml-sgml/packages/refdb/
Vcs-Svn: svn://svn.debian.org/debian-xml-sgml/packages/refdb/trunk/

Package: refdb-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, whiptail, libmarc-record-perl, libmarc-charset-perl, librefdb-sru-perl, libterm-clui-perl
Suggests: yaz
Description: Reference database and bibliography tool - clients
 RefDB is a reference database and bibliography tool for SGML, XML, and
 LaTeX/BibTeX documents. It allows users to share databases over a network. It
 is accessible through command-line tools, through a web interface, from text
 editors (Emacs, Vim), and it contains a SRU server. Programmers can use Perl
 and PHP libraries to integrate RefDB functionality into their own projects.
 RefDB is released under the GNU General Public License and runs on Linux, the
 *BSDs, OS X, Solaris, and Windows/Cygwin.
 .
 RefDB appears to be the only available tool to create HTML, PostScript, PDF,
 DVI, MIF, or RTF output from DocBook (SGML, XML V.4.x and V.5.x) or TEI (XML P4
 and P5) sources with fully formatted citations and bibliographies according to
 publisher's specifications.
 .
 These are the client applications for refdb server

Package: refdb-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Reference database and bibliography tool - sql server
 RefDB is a reference database and bibliography tool for SGML, XML, and
 LaTeX/BibTeX documents. It allows users to share databases over a network. It
 is accessible through command-line tools, through a web interface, from text
 editors (Emacs, Vim), and it contains a SRU server. Programmers can use Perl
 and PHP libraries to integrate RefDB functionality into their own projects.
 RefDB is released under the GNU General Public License and runs on Linux, the
 *BSDs, OS X, Solaris, and Windows/Cygwin.
 .
 RefDB appears to be the only available tool to create HTML, PostScript, PDF,
 DVI, MIF, or RTF output from DocBook (SGML, XML V.4.x and V.5.x) or TEI (XML P4
 and P5) sources with fully formatted citations and bibliographies according to
 publisher's specifications.
 .
 Provides the SQLite3/PostgreSQL/MySQL based server for refdb

Package: refdb-www
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, refdb-server, libapache2-mod-php5, php5-xsl
Recommends: php5-yaz
Description: Reference database and bibliography tool - www server
 RefDB is a reference database and bibliography tool for SGML, XML, and
 LaTeX/BibTeX documents. It allows users to share databases over a network. It
 is accessible through command-line tools, through a web interface, from text
 editors (Emacs, Vim), and it contains a SRU server. Programmers can use Perl
 and PHP libraries to integrate RefDB functionality into their own projects.
 RefDB is released under the GNU General Public License and runs on Linux, the
 *BSDs, OS X, Solaris, and Windows/Cygwin.
 .
 RefDB appears to be the only available tool to create HTML, PostScript, PDF,
 DVI, MIF, or RTF output from DocBook (SGML, XML V.4.x and V.5.x) or TEI (XML P4
 and P5) sources with fully formatted citations and bibliographies according to
 publisher's specifications.
 .
 Provides the web based server for refdb

Package: refdb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Description: Reference database and bibliography tool - doc
 RefDB is a reference database and bibliography tool for SGML, XML, and
 LaTeX/BibTeX documents. It allows users to share databases over a network. It
 is accessible through command-line tools, through a web interface, from text
 editors (Emacs, Vim), and it contains a SRU server. Programmers can use Perl
 and PHP libraries to integrate RefDB functionality into their own projects.
 RefDB is released under the GNU General Public License and runs on Linux, the
 *BSDs, OS X, Solaris, and Windows/Cygwin.
 .
 RefDB appears to be the only available tool to create HTML, PostScript, PDF,
 DVI, MIF, or RTF output from DocBook (SGML, XML V.4.x and V.5.x) or TEI (XML P4
 and P5) sources with fully formatted citations and bibliographies according to
 publisher's specifications.
 .
 This is the documentation for refdb

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# This is extremely important to get fop running properly:
export JAVA_HOME=/usr/lib/jvm/default-java

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = --disable-docs
endif

%:
	#dh $@ --with autoreconf
	#dh $@ --parallel --with autotools_dev
	dh $@

override_dh_auto_configure:
	autoreconf -i --force
	dh_auto_configure -- --with-var-dir=/run $(BUILDDOC)

pkg_clients = refdb-clients
pkg_server  = refdb-server
pkg_www     = refdb-www

override_dh_install:
	dh_install -p$(pkg_clients) -Xmysql -Xpgsql -Xsqlite etc/refdb/
	dh_install -p$(pkg_server) etc/refdb/refdbdrc.mysql.example
	dh_install -p$(pkg_server) etc/refdb/refdbdrc.pgsql.example
	dh_install -p$(pkg_server) etc/refdb/refdbdrc.sqlite3.example
	dh_install -p$(pkg_www) debian/refdb.conf etc/apache2/mods-available
	dh_install -p$(pkg_www) debian/refdb.load etc/apache2/mods-available
	dh_install

override_dh_install-arch:
	dh_install --list-missing

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/-1//" \
http://sf.net/refdb/refdb-([\d\.-]+)\.tar\.gz \
debian debian/orig-tar.sh

## refdb 1.0.2

=== debian/changelog ===
refdb (1.0.2-3ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565097).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 01 Apr 2016 14:14:37 -0700

refdb (1.0.2-3) unstable; urgency=low

  * Fix another compilation error with newer readline. Closes: #759855
    + Refresh debian/patches/bug741839.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 01 Sep 2014 18:02:59 +0200

refdb (1.0.2-2) unstable; urgency=low

  * Fix compilation with newer readline. Closes: #741839

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Apr 2014 14:45:51 +0200

refdb (1.0.2-1) unstable; urgency=low

  * New upstream. Closes: #733330.

 -- Mathieu Malaterre <malat@debian.org>  Thu, 27 Feb 2014 09:06:24 +0100

refdb (1.0.1-1) unstable; urgency=low

  * New upstream. Closes: #733330.

 -- Mathieu Malaterre <malat@debian.org>  Wed, 05 Feb 2014 21:01:54 +0100

refdb (1.0.0-1) unstable; urgency=low

  * New release: 1.0.0 ! Closes: #733330, #724430, #701549
  * Fix refdb-init test. Closes: #701873
  * Add missing depends. Closes: #733484

 -- Mathieu Malaterre <malat@debian.org>  Sat, 25 Jan 2014 12:03:59 +0100

refdb (1.0.0~pre2-3) experimental; urgency=low

  * Remove B-D-I for now

 -- Mathieu Malaterre <malat@debian.org>  Sat, 28 Dec 2013 16:29:07 +0100

refdb (1.0.0~pre2-2) experimental; urgency=low

  * Fix compilation, xsltproc is needed in B-D

 -- Mathieu Malaterre <malat@debian.org>  Sat, 28 Dec 2013 11:33:51 +0100

refdb (1.0.0~pre2-1) experimental; urgency=low

  * Add missing B-D: libxml-perl
  * Upload pre2 to experimental

 -- Mathieu Malaterre <malat@debian.org>  Sat, 28 Dec 2013 10:23:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: refdb
 Priority: optional
-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), libdbi-dev (>= 0.8.1), libreadline-dev, libexpat-dev, libbtparse-dev, autotools-dev,
- docbook-xsl, docbook-xsl-ns, xsltproc, libxml2-utils, automake1.9,
- libmarc-record-perl, libmarc-charset-perl, librefdb-sru-perl, libterm-clui-perl
+ automake, libmarc-record-perl, libmarc-charset-perl, librefdb-sru-perl, libterm-clui-perl, xsltproc, libxml-perl,
+ docbook-xsl, docbook-xsl-ns, libxml2-utils, libbatik-java, libtrang-java, sgrep, tidy,
+ openjade, libsgml-dtdparse-perl, fop, ttf-dejavu, libhttp-server-simple-perl
 #, dh-autoreconf
-Build-Depends-Indep: libbatik-java, libtrang-java, sgrep, tidy, openjade, libsgml-dtdparse-perl, fop, ttf-dejavu
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: text
 Homepage: http://refdb.sf.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-xml-sgml/packages/refdb/
@@ -15,7 +16,7 @@
 
 Package: refdb-clients
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, whiptail, libmarc-record-perl, libmarc-charset-perl, librefdb-sru-perl, libterm-clui-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, whiptail, libmarc-record-perl, libmarc-charset-perl, librefdb-sru-perl, libterm-clui-perl, libxml-perl
 Suggests: yaz
 Description: Reference database and bibliography tool - clients
  RefDB is a reference database and bibliography tool for SGML, XML, and
@@ -55,8 +56,8 @@
 
 Package: refdb-www
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, refdb-server, libapache2-mod-php5, php5-xsl
-Recommends: php5-yaz
+Depends: ${shlibs:Depends}, ${misc:Depends}, refdb-server, libapache2-mod-php, php-xsl
+Recommends: php-yaz
 Description: Reference database and bibliography tool - www server
  RefDB is a reference database and bibliography tool for SGML, XML, and
  LaTeX/BibTeX documents. It allows users to share databases over a network. It

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-# This is extremely important to get fop running properly:
 export JAVA_HOME=/usr/lib/jvm/default-java
 
 # deduce documentation option (build-indep target)

=== debian/watch ===
version=3
http://sf.net/refdb/refdb-([\d\.-]+)\.tar\.gz
